﻿-- Author      : Matthew
-- Create Date : 1/17/2010 12:48:38 PM


LootCouncil_TheCouncil = {};
LootCouncil_Browser = {}
LootCouncil_Browser.Data = {}
LootCouncil_Browser.Elects = {}
LootCouncil_Browser.Votes = {}
LootCouncil_Browser.WhisperList = {}
LootCouncil_PlayerData = {}
LootCouncil_minRank = 3;

do
	----------- Slash Command Manager -----------
	-- Valid Slash Commands:                   
	-- start (item): starts the consideration        
	-- show: shows the frame                   
	-- hide: hides the frame                     
	---------------------------------------------
	SLASH_LOOT_COUNCIL1 = "/lc";
	SLASH_LOOT_COUNCIL2 = "/lootcouncil";
	SlashCmdList["LOOT_COUNCIL"] = function(msg)
		local cmd, arg = string.split(" ", msg); -- Separates the command from the rest
		cmd = cmd:lower(); -- Lower case command
		if cmd == "show" then -- show the main frame
			LootCouncil_Browser.showMainFrame();
		elseif cmd == "hide" then -- hide the main frame
			LootCouncil_Browser.hideMainFrame();
		elseif cmd == "start" then -- try to start a new Loot Council Session
			LootCouncil_Browser.initiateLootCouncil(msg:match("^start%s+(.+)"));
		elseif cmd == "end" then
			LootCouncil_Browser.initiateAbort();
		elseif cmd == "rank" then
			if arg == "" or arg == nil then
				print("Minimum rank to be included in the loot council: "..GuildControlGetRankName(LootCouncil_minRank))
			else
				local other = arg;
				if tonumber(other) then
					if tonumber(other) < 10 and tonumber(other) >= 0 then
						print("Now only including those at or above rank "..GuildControlGetRankName(tonumber(other)).." in the council")
						LootCouncil_minRank = tonumber(other)
					else
						print("Rank number must be between 0 and 9, inclusive")
					end
				else
					print("Correct usage: /lc rank # - Rank must be a number between 0 and 9, inclusive")
				end	
			end
		elseif cmd == "" then
			print("LOOT COUNCIL COMMANDS:");
			print("prefix: /lc");
			print(" - show - shows the main frame")
			print(" - hide - hide the main frame")
			print(" - start (item) - attempts to start a loot council session");
			print(" - end - attempts to end a loot council session");
			print(" - rank (number) - enter in the minimum guild rank to participate in loot council. LOWER number = higher rank (1 is GM, 2 is first rank, 3 is second rank, etc.)")
		else
			print(""..msg.." is not a valid command for /lc");
		end
	end
end